cascading.flow

## Interface FlowStepListener

-     public interface FlowStepListener

  Interface FlowStepListener provides hooks for receiving events on various stages of a `FlowStep` execution.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStepCompleted(FlowStep flowStep)` The onStepCompleted event is fired when a flowStepJob completed its work
    `void` | `onStepRunning(FlowStep flowStep)` The onStepRunning event is fired when a given `FlowStep` moves into the running state
    `void` | `onStepStarting(FlowStep flowStep)` The onStarting event is fired when a given `FlowStep` job has been submitted i.e.
    `void` | `onStepStopping(FlowStep flowStep)` The onStepStopping event is fired when a given `FlowStep` job is stopped
    `boolean` | `onStepThrowable(FlowStep flowStep, java.lang.Throwable throwable)` The onStepThrowable event is fired if a given `FlowStep` throws a Throwable type.

- - ### Method Detail

    - #### onStepStarting

          void onStepStarting(FlowStep flowStep)

      The onStarting event is fired when a given `FlowStep` job has been submitted i.e. to hadoop cluster
      Parameters:
        `flowStep` -

    - #### onStepStopping

          void onStepStopping(FlowStep flowStep)

      The onStepStopping event is fired when a given `FlowStep` job is stopped
      Parameters:
        `flowStep` -

    - #### onStepRunning

          void onStepRunning(FlowStep flowStep)

      The onStepRunning event is fired when a given `FlowStep` moves into the running state
      Parameters:
        `flowStep` -

    - #### onStepCompleted

          void onStepCompleted(FlowStep flowStep)

      The onStepCompleted event is fired when a flowStepJob completed its work
      Parameters:
        `flowStep` -

    - #### onStepThrowable

          boolean onStepThrowable(FlowStep flowStep,
                                java.lang.Throwable throwable)

      The onStepThrowable event is fired if a given `FlowStep` throws a Throwable type. This throwable is passed as an argument to the event. This event method should return true if the given throwable was handled and should not be rethrown from the `Flow.complete()` method.
      Parameters:
        `flowStep` -
        `throwable` -
      Returns:
        returns true if this listener has handled the given throwable

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.